#!/bin/bash

function activate_cuda_11_8_cudnn_8_9()
{
  export PRE_CUDA_11_8_CUDNN_8_9_PATH="$PATH"
  export PRE_CUDA_11_8_CUDNN_8_9_LD_LIBRARY_PATH="$LD_LIBRARY_PATH"

  export CUDA_HOME="$CUDA_11_8_CUDNN_8_9_HOME"
  export CUDA_ROOT="$CUDA_11_8_CUDNN_8_9_ROOT"
  export CUDA_TOOLKIT_ROOT_DIR="$CUDA_11_8_CUDNN_8_9_TOOLKIT_ROOT_DIR"

  export PATH="$CUDA_11_8_CUDNN_8_9_PATH:$PATH"
  export LD_LIBRARY_PATH="$CUDA_11_8_CUDNN_8_9_LD_LIBRARY_PATH:$LD_LIBRARY_PATH"
}

function deactivate_cuda_11_8_cudnn_8_9()
{
  export PATH="$PRE_CUDA_11_8_CUDNN_8_9_PATH"
  export LD_LIBRARY_PATH="$PRE_CUDA_11_8_CUDNN_8_9_LD_LIBRARY_PATH"

  unset PRE_CUDA_11_8_CUDNN_8_9_PATH
  unset PRE_CUDA_11_8_CUDNN_8_9_LD_LIBRARY_PATH

  unset CUDA_HOME
  unset CUDA_ROOT
  unset CUDA_TOOLKIT_ROOT_DIR
}
