#! /bin/bash

# Creates a symlink in SpeechX / armar_tts to this repository.

clone_path="$h2t__data__tts_caches__PATH"
symlink_path="$SpeechX_DIR/../python/armar_tts/armar_tts/caches"

# Handle existing symlink (be idempotent).
if [[ -h "$symlink_path" ]]; then
  echo "Remove existing symlink"
  rm "$symlink_path"
fi
# Handle existing directory.
if [[ -d "$symlink_path" ]]; then
  echo "Rename existing directory"
  mv "$symlink_path" "$symlink_path-old"
fi

# Create the link.
echo "Create symlink"
ln -s "$clone_path" "$symlink_path"
