#!/usr/bin/env bash

set -e

config_template="$MODULE_DEFINITION_RESOURCE_DIR/kernel-build-config"
config="$LINUX_RT_PREEMPT_6_5/.config"
config_success="${config}_success"

if [ ! -f "$config_success" ]; then
  echo "Deploy kernel configuration."
  cp "$config_template" "$config"
  echo "Successfully deployed configuration on $(date)." > "$config_success"
fi
if [ -f "$config_success" ]; then
  cat "$config_success"
fi

