#!/bin/bash

set -e

source_dir="$MODULE_PATH/Python-3.10.8"
install_dir="$MODULE_PATH/install"

cd "$source_dir"

_axii_run_once ./configure Makefile \
    LDFLAGS="-L$libffi_DIR/lib/" \
    CPPFLAGS="-I$libffi_DIR/libffi-3.4.4/include/" \
    --with-system-ffi \
    --enable-optimizations \
    --prefix="$install_dir"

_axii_run_once make python
_axii_run_once make "$install_dir" install
