import os

from armarx_setup.core.module.context import Context
from armarx_setup.core.workspace.config import Config


class DummyContext(Context):
    def __init__(self):
        module_name = "test_module"
        workspace_path = "/test"
        path = os.path.join(workspace_path, module_name)

        super().__init__(
            module_name=module_name,
            ws_config=Config(),
            ws_path=workspace_path,
            path=path)

    @property
    def module_info_path(self) -> str:
        return "/module_db"
